Subject: Userspace header linux/netlink.h uses GCC-specific 'typeof'

From: Thorben Hasenpusch <[email-masked]>
Date: Tue, 10 Sep 2013 14:51:16 +0200

Compilation of a user space program which includes linux/netlink.h and
uses NL_MMAP_MSG_ALIGN fails if GCC is ordered not to use GNU
extensions.
__KERNEL_ALIGN is defined to use typeof which is a GCC-extension and not
supported by standard C/C++.
Can that be changed so standard conforming C/C++ compiles successfully?

Regards.